PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "example-collection",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3075398,
"vector_count": 99,
"dimension": 1536
}
Backups
Describe a collection
Get a description of a collection. Serverless indexes do not support collections.
GET
/
collections
/
{collection_name}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "example-collection",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3075398,
"vector_count": 99,
"dimension": 1536
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections/tiny-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "example-collection",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3075398,
"vector_count": 99,
"dimension": 1536
}
Authorizations
An API Key is required to call Pinecone APIs. Get yours from the console.
Response
Configuration information and status of the collection.
The CollectionModel describes the configuration and status of a Pinecone collection.
Was this page helpful?